<?php
/*
 * member/LoadConfig.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once(dirname(__FILE__)
.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
class member_LoadConfig extends system_login_ModuleBase {
	function member_LoadConfig() {
	}
	function execute( & $request ) {
		$memberDefFilePath	= DIR_PATH_DATA.DIRECTORY_SEPARATOR.'member.define.inc.php';
		$isSetup	= false;
		if( file_exists($memberDefFilePath) ) {
			require_once($memberDefFilePath);
			$registPermit	= MEMBER_PERMIT_REGIST_BY_USER;
			$request->setAttribute('member.regist_by_user',	$registPermit);
			$registDataUrl	= MEMBER_REGIST_MAIL_URL;
			$request->setAttribute('member.regist_mail_url',	$registDataUrl);
			$registMailPrefix	= MEMBER_REGIST_MAIL_PREFIX;
			$request->setAttribute('member.regist_mail_prefix',	$registMailPrefix);
			$registMailDomain	= MEMBER_MAIL_DOMAIN;
			$request->setAttribute('member.regist_mail_domain',	$registMailDomain);
			
			$isSetup	= true;
		}
		$request->setAttribute('member.is_setup',			$isSetup);
	}
}
?>